#pragma once
#include "Entity.h"
#include "MenuTextJoystick.h"
#define MENUTEXTPAGEPREV_PLAYER2JOYSTICK_CREATENAME L"menutext_player2joystick_pagePrev"
class MenuTextPagePrev_Player2Joystick :
    public MenuTextJoystick
{
public:
    InputSetting_Joystick* GetInputSetting() override;
    SDL_GameControllerButtonBind* GetBind(InputSetting_Joystick* setting) override;
    std::weak_ptr<Entity> GetPlayer(void* entityRes) override;
};

std::shared_ptr<Entity> CreateMenuTextPagePrev_Player2Joystick();